Bug 22418 - Authority link magnifying glass icon doesn't appear for 655 subject tags
Summary: Authority link magnifying glass icon doesn't appear for 655 subject tags
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-26 16:40 UTC by Andrew Fuerste-Henry
Modified: 2019-04-26 15:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22418: Add magnifying glass to 655 results (1.94 KB, patch)
2019-02-26 16:45 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22418: Add magnifying glass to 655 results (1.99 KB, patch)
2019-04-14 13:05 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 22418: Add magnifying glass to 655 results (2.00 KB, patch)
2019-04-22 12:48 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22418: (follow-up) OPAC changes (1.89 KB, patch)
2019-04-22 12:48 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22418: Add magnifying glass to 655 results (2.06 KB, patch)
2019-04-23 22:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22418: (follow-up) OPAC changes (1.95 KB, patch)
2019-04-23 22:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2019-02-26 16:40:38 UTC
For authority-linked 650 tags, the catalog shows a magnifying glass icon that links to the authority record. It does not do the same for authority-linked 655 tags.
Comment 1 Nick Clemens 2019-02-26 16:45:47 UTC
Created attachment 85722 [details] [review]
Bug 22418: Add magnifying glass to 655 results

To test:
1 - Have some 655 fields linked to authorities
2 - Notice they have no magnifyiung glass
3 - Apply patch
4 - Note they have one now
Comment 2 Michal Denar 2019-04-14 13:05:49 UTC
Created attachment 87948 [details] [review]
Bug 22418: Add magnifying glass to 655 results

To test:
1 - Have some 655 fields linked to authorities
2 - Notice they have no magnifyiung glass
3 - Apply patch
4 - Note they have one now

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Katrin Fischer 2019-04-17 05:47:47 UTC
Hi Nick, 

this is ok on staff side, but can you please fix the OPAC to match?

Also, your authorship is missing from the patch:
From: root <root@f1ebe1bec408>
Comment 4 Nick Clemens 2019-04-22 12:48:06 UTC
Created attachment 88372 [details] [review]
Bug 22418: Add magnifying glass to 655 results

To test:
1 - Have some 655 fields linked to authorities
2 - Notice they have no magnifyiung glass
3 - Apply patch
4 - Note they have one now

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 5 Nick Clemens 2019-04-22 12:48:08 UTC
Created attachment 88373 [details] [review]
Bug 22418: (follow-up) OPAC changes
Comment 6 Katrin Fischer 2019-04-23 22:12:00 UTC
Created attachment 88570 [details] [review]
Bug 22418: Add magnifying glass to 655 results

To test:
1 - Have some 655 fields linked to authorities
2 - Notice they have no magnifyiung glass
3 - Apply patch
4 - Note they have one now

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2019-04-23 22:12:03 UTC
Created attachment 88571 [details] [review]
Bug 22418: (follow-up) OPAC changes

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Nick Clemens 2019-04-24 11:41:47 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-04-26 15:00:41 UTC
Enhancement will not be backported to 18.11.x series.